> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postonce.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> The 50 most recent events for this endpoint, newest first, with attempt count, last response and next retry.



## OpenAPI

````yaml /openapi/public-api.yaml get /v1/webhooks/{id}/deliveries
openapi: 3.1.0
info:
  title: PostOnce Public API
  version: 1.0.0-alpha
  description: Public API for PostOnce paid users
servers:
  - url: https://postonce.to/api/public
security:
  - bearerAuth: []
paths:
  /v1/webhooks/{id}/deliveries:
    get:
      summary: List webhook deliveries
      description: >-
        The 50 most recent events for this endpoint, newest first, with attempt
        count, last response and next retry.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Recent deliveries.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookDelivery'
        '401':
          description: Missing, invalid, revoked, or expired API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorResponse'
        '404':
          description: Webhook not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WebhookDelivery:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: >-
            Event ID, also sent as PostOnce-Event-Id and the body's id. Use it
            to ignore duplicates.
        event_type:
          type: string
          enum:
            - post.published
            - post.partially_published
            - post.failed
            - ping
        post_id:
          type:
            - string
            - 'null'
        status:
          type: string
          enum:
            - pending
            - delivered
            - failed
        attempts:
          type: integer
        last_status_code:
          type:
            - integer
            - 'null'
        last_error:
          type:
            - string
            - 'null'
        last_attempt_at:
          type:
            - string
            - 'null'
        next_attempt_at:
          type:
            - string
            - 'null'
          description: When the next retry is due, while status is pending.
        delivered_at:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
    AuthErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: invalid_api_key
            message:
              type: string
              example: Invalid API key.
            hint:
              type: string
              description: Suggested action to resolve the error.
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: workflow_limit_reached
            message:
              type: string
              example: You have reached the maximum number of workflows for your plan.
            hint:
              type: string
              description: Suggested action to resolve the error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Scoped API key issued in PostOnce Settings. OAuth authorization grants
        are not currently supported.
      x-scopes:
        accounts:read: List and read connected accounts.
        accounts:write: Connect and disconnect social accounts.
        media:read: Read uploaded media.
        media:write: Upload media.
        posts:read: Read posts and unpublished drafts.
        posts:write: Create, update, publish, cancel, retry, and delete posts and drafts.
        workflows:read: List and read crossposting workflows.
        workflows:write: Create, update, and delete crossposting workflows.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.